package net.wanji.utc.config;

import com.hikvision.artemis.sdk.config.ArtemisConfig;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MyArtemisConfig {
    @Value("${signal.manufacturer.hk.artemisHost}")
    private String artemisHost;

    @Value("${signal.manufacturer.hk.artemisAppKey}")
    private String artemisAppKey;

    @Value("${signal.manufacturer.hk.artemisAppSecret}")
    private String artemisAppSecret;

    @Bean
    public ArtemisConfig artemisConfig() {
        ArtemisConfig artemisConfig = new ArtemisConfig();
        artemisConfig.setHost(artemisHost); //平台（nginx）IP 和端口
        artemisConfig.setAppKey(artemisAppKey); //合作方 key
        artemisConfig.setAppSecret(artemisAppSecret);//合作方 Secret
        return artemisConfig;
    }
}